Bug 27793 - Store Contents of FTX segment of EDI quotes for inclusion in orders
Summary: Store Contents of FTX segment of EDI quotes for inclusion in orders
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 12:28 UTC by Colin Campbell
Modified: 2021-05-25 13:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This enhancement adds support for the EDI FTX (FreeText) segment in Edifact ordering. We simply store the segment and pass it around in the EDI process required.
Version(s) released in:
21.05.00


Attachments
Patch to save Quote FTX segment and to include it outgoing order (2.40 KB, patch)
2021-02-25 12:37 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 27793: Store FTX free text in vendor note (2.40 KB, patch)
2021-03-03 10:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27793: Store FTX free text in vendor note (2.47 KB, patch)
2021-03-24 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27793: Store FTX free text in vendor note (2.54 KB, patch)
2021-05-05 08:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2021-02-25 12:28:32 UTC
A number of vendors send data in the FTX segment of EDI quotes, and expect this to be returned in the subsequent order. This may indicate the form of item to be supplied (electronic v physical book) or data entered to indicate that the order is the result of a special request.

The standard is somewhat misleading on this as it encourages use of FTX for encoded delivery priority info. However this appears to be obsolete in practice and examination of numerous quotes show no suppliers using it this way, whereas some suppliers (e.g. proquest) are making the contents of this segment fundamental to their procedures
ensure FTX content is saved (in vendornote)
and that the saved note is included in an order sent as a result of the quote
Comment 1 Colin Campbell 2021-02-25 12:37:37 UTC
Created attachment 117307 [details] [review]
Patch to save Quote FTX segment and to include it outgoing order
Comment 2 Martin Renvoize 2021-03-03 10:10:38 UTC
Created attachment 117556 [details] [review]
Bug 27793: Store FTX free text in vendor note

This is important for proquest ordering to distinguish types of
material.

FTX segment from quote is stored as vendor note.
Contents of vendornote are included in the order FTX segment.
Comment 3 Kyle M Hall 2021-03-24 13:20:15 UTC
Created attachment 118743 [details] [review]
Bug 27793: Store FTX free text in vendor note

This is important for proquest ordering to distinguish types of
material.

FTX segment from quote is stored as vendor note.
Contents of vendornote are included in the order FTX segment.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2021-03-24 13:23:07 UTC
Moving directly to PQA.
Comment 5 Jonathan Druart 2021-04-06 10:04:21 UTC
Unit tests are missing. I don't think we should continue to add new enhancements to EDI without test coverage.
Comment 6 Martin Renvoize 2021-04-28 07:30:04 UTC
I've struggled to write a test here.. I think it would be great to integrate this for this cycle, and I'll try to work through tests for EDI as a more thorough job as a roadmap task during the next cycle.. does that sound reasonable Jonathan?
Comment 7 Jonathan Druart 2021-04-30 07:40:21 UTC
Please rebase on top of bug 26989.

The conflict seems trivial but I don't want to mess with this code (or even touch it).
Comment 8 Martin Renvoize 2021-05-05 08:12:59 UTC
Created attachment 120483 [details] [review]
Bug 27793: Store FTX free text in vendor note

This is important for proquest ordering to distinguish types of
material.

FTX segment from quote is stored as vendor note.
Contents of vendornote are included in the order FTX segment.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-05-07 09:32:23 UTC
Last time I am pushing an EDI enhancement without test coverage.
Comment 10 Jonathan Druart 2021-05-07 12:41:40 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-05-11 14:41:27 UTC
Enhancement not pushed to 20.11.x